#
# spec file for package moneyplex
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           moneyplex
Version:        12.0.20869
Release:        8.88
Summary:        moneyplex openSUSE Edition
License:        SUSE-NonFree
Group:          Productivity/Office/Finance
ExclusiveArch:  %ix86 x86_64
BuildRequires:  update-desktop-files
Url:            http://www.matrica.de

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        moneyplex-suse-%{version}.tar.gz
Source1:        moneyplex-daten-%{version}.tar.gz
Source100:      moneyplex-rpmlintrc

%description
Mit moneyplex® wird die Verwaltung Ihrer privaten und geschäftlichen 
Finanzen zum Kinderspiel. Überweisungen, Lastschriften und Daueraufträge
sind durch auf dem Bildschirm realistisch nachgebildete Formulare im 
Handumdrehen erstellt.

Mit moneyplex® erledigen Sie ab sofort Ihre Bankgeschäfte von zu Hause. 
Multiple Kontenverwaltung, Terminzahlungen, Vermögens- entwicklung sind 
nur ein paar Leistungsmerkmale dieser wirklich einfach und intuitiv zu 
bedienenden Software der Spitzenklasse.

%package -n moneyplex-suse
Summary:        moneyplex (SUSE Version) %{_target_cpu}
Group:          Productivity/Office/Finance
Requires:       moneyplex-daten >= 12.0
Provides:       moneyplex-anwendung = %{version}
Obsoletes:      moneyplex
Provides:       moneyplex
Conflicts:      moneyplex-kaufversion

%description -n moneyplex-suse
moneyplex Homebanking Anwendung (SUSE Version) kompiliert fuer %{_target_cpu}

%package -n moneyplex-daten
Summary:        Daten fuer moneyplex
Group:          Productivity/Office/Finance
Requires:       moneyplex-anwendung >= 12.0
BuildArch:      noarch

%description -n moneyplex-daten
Bankdaten und andere Dateien

%prep
%setup -c -a 1
rm moneyplex-daten-%{version}/moneyplex-daten.spec

%build
# nothing to do here

%install
mkdir -p %{buildroot}/opt/moneyplex %{buildroot}/usr/share/applications %{buildroot}/usr/share/pixmaps %{buildroot}/usr/share/icons/hicolor/48x48/apps

cp -r  moneyplex-daten-%{version}/* %{buildroot}/opt/moneyplex/
mv %{buildroot}/opt/moneyplex/system/mpx256.png %{buildroot}/usr/share/pixmaps/moneyplex.png
mv %{buildroot}/opt/moneyplex/system/mpx48.png %{buildroot}/usr/share/icons/hicolor/48x48/apps/moneyplex.png

mkdir -p %{buildroot}/opt/moneyplex %{buildroot}%{_bindir}
cp -r moneyplex-suse-%{version}/%{_target_cpu}/* %{buildroot}/opt/moneyplex/
ln -s /opt/moneyplex/prestart %{buildroot}%{_bindir}/moneyplex

cat <<EOF >%{buildroot}/usr/share/applications/moneyplex.desktop
[Desktop Entry]
Name=Moneyplex
GenericName=Homebanking
Comment=HBCI Onlinebanking
Exec=moneyplex
Icon=moneyplex
Terminal=false
Type=Application
Categories=Applications;Office;Finance;
EOF

%files -n moneyplex-suse
%defattr(-,root,root,-)
%dir /opt/moneyplex
/opt/moneyplex/prestart
/opt/moneyplex/moneyplex
/opt/moneyplex/mpxalarm.int
/opt/moneyplex/mpxalarm
%{_bindir}/moneyplex

%files -n moneyplex-daten
%defattr(-,root,root,-)
%dir /opt/moneyplex
/opt/moneyplex/*.txt
/opt/moneyplex/system
/opt/moneyplex/reports
/usr/share/applications/moneyplex.desktop
/usr/share/pixmaps/moneyplex.png
%dir /usr/share/icons/hicolor
%dir /usr/share/icons/hicolor/48x48
%dir /usr/share/icons/hicolor/48x48/apps
/usr/share/icons/hicolor/48x48/apps/moneyplex.png

%changelog
* Tue Aug 28 2012 cfarrell@suse.com
- license update: SUSE-NonFree
  Use a license from the spreadsheet linked at license.opensuse.org
* Tue Aug 28 2012 coolo@suse.com
- update to 12.0 version, now biarch
* Fri Oct 30 2009 coolo@suse.de
- update to 2009 version
* Mon Jun  2 2008 coolo@suse.de
- update to 2008 version
* Sat Sep 22 2007 coolo@suse.de
- update to 2007 version
* Thu Mar 29 2007 coolo@suse.de
- fix buildrequires
* Mon Nov  6 2006 coolo@suse.de
- update for 10.2
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Mar  8 2005 coolo@suse.de
- update for 9.3
* Mon Sep 27 2004 mmj@suse.de
- Update for 9.2
* Fri Mar 26 2004 coolo@suse.de
- update for 9.1 (including UTF-8 conversion)
* Tue Sep  9 2003 coolo@suse.de
- now it even says 9.0
* Mon Sep  8 2003 coolo@suse.de
- update for 9.0
* Sun Aug 10 2003 adrian@suse.de
- add update-desktop-files to neededforbuild
* Sun Aug 10 2003 adrian@suse.de
- add Categories
* Thu Jun 12 2003 coolo@suse.de
- package directories
* Wed Mar  5 2003 coolo@suse.de
- new version -> new license
* Tue Feb 18 2003 coolo@suse.de
- fixing path
* Mon Feb 17 2003 coolo@suse.de
- initial package
